Update User (V2)
This operation updates the password or description of a specified user.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.
The name of the target user. The value should start with a letter and can only contain underline, letters and numbers.
The current password of the user. Provide this field together with newPassword when changing the password.
The new password for the user. Provide this field together with password when changing the password.
The new description of the user. The value can be an empty string.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/users/update_password" \
--header "Authorization: Bearer ${TOKEN}". \
--header "Request-Timeout: 10" \
--header "Content-Type: application/json" \
-d '{
"newPassword": "P@ssw0rd!",
"userName": "myUser",
"password": "P@ssw0rd*"
}'
A success response
Response code.
Response payload which is an empty object.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": {}
}